<?php
/**
 * @package WSN AdUnblocker
 * @version 1.0
 */
/*
Plugin Name: WSN AdUnblocker
Plugin URI: http://scripts.webmastersite.net/wsnadunblocker/
Description: Detects adblockers and requests whitelisting.
Author: Paul Knierim
Version: 1.0
Author URI: http://www.webmastersite.net
*/

/*BEGIN configuration area:*/
$message = "You are running an ad blocker. Please whitelist our website, our ads are safe and non-invasive and we need them to continue offering you this free service!";
$messagetitle = "AdBlocker Detected";
$dismissable = "false";
$dismissabledays = 30;
$boxheight = 300;
$jqueryuitheme = 'cupertino';
/*END configuration area*/




add_action('wp_head', 'wsnadunblocker_wp_head');

function wsnadunblocker_wp_head()
{
 global $message, $messagetitle, $dismissable, $dismissabledays, $boxheight, $jqueryuitheme;
    ?>
<link rel="stylesheet" href="//ajax.googleapis.com/ajax/libs/jqueryui/1.11.3/themes/<?php echo str_replace(' ', '-', strtolower($jqueryuitheme)); ?>/jquery-ui.min.css" id="theme">
<script type="text/javascript" src="//code.jquery.com/ui/1.11.3/jquery-ui.min.js"></script>
<script type="text/javascript">
var message = "<?php echo addslashes($message); ?>";
var messagetitle = "<?php echo addslashes($messagetitle); ?>";
var dismissable = <?php echo $dismissable; ?>;
var dismissabledays = <?php echo $dismissabledays; ?>;
var boxheight = <?php echo $boxheight; ?>;


function wsn_makecookie(name, value, expires, path, domain, secure) 
{
 path = '/';
 domain = '';
 var today = new Date();
 today.setTime( today.getTime() );
 if (expires) expires = expires * 1000 * 60 * 60 * 24; // converts passed days to milliseconds?
 var expires_date = new Date(today.getTime() + (expires));
 document.cookie = name + "=" +escape( value ) +
( ( expires ) ? ";expires=" + expires_date.toGMTString() : "" ) + 
( ( path ) ? ";path=" + path : "" ) + 
( ( domain ) ? ";domain=" + domain : "" ) +
( ( secure ) ? ";secure" : "" );
}

function wsn_getcookie(c_name)
{
 if (document.cookie.length>0)
 {
  c_start = document.cookie.indexOf(c_name + "=");
  if (c_start != -1)
  {
   c_start = c_start + c_name.length+1;
   c_end = document.cookie.indexOf(";",c_start);
   if (c_end == -1) c_end=document.cookie.length;
   return unescape(document.cookie.substring(c_start,c_end));
  }
 }
 return "";
} 

jQuery(document).ready(function() {
if (!(jQuery('.adslots').is(':visible')))
{
 if (wsn_getcookie('wsnadunblocker') != 'dismissed' || !dismissable)
 {
  jQuery(document.body).append('<div id="unblockdialog" title="'+messagetitle+'">'+message+'</div>');
   jQuery("#unblockdialog").dialog({
      resizable: true,
      height: boxheight,
      modal: true,
      buttons: {
        "OK": function() {
	  if (dismissable) wsn_makecookie('wsnadunblocker', 'dismissed', dismissabledays, '/');
          jQuery(this).dialog("close");
        }
      }
    });
 }
} 
});
</script>
    <?php
}


function wsnadunblocker_wp_footer() {
    echo '<div id="toprightad"><div id="addisplay1" class="adslots"></div></div>';
}
add_action( 'wp_footer', 'wsnadunblocker_wp_footer' );

?>